feed-1.3.0.1: Interfacing with RSS (v 0.9x, 2.x, 1.0) + Atom feeds.

Copyright | (c) Galois Inc. 2008 (c) Sigbjorn Finne 2009-
License | BSD3
Maintainer | Sigbjorn Finne <sof@forkIO.com>
Stability | provisional
Safe Haskell | Safe
Language | Haskell98

Text.DublinCore.Types

Description

Representing the DublinCore metadata elements in Haskell. For information on the Dublin Core Metadata Element Set, see: http://dublincore.org/

Synopsis

- data DCItem = DCItem {
  - dcElt :: DCInfo
  - dcText :: Text
  }
- data DCInfo
  - = DC_Title
  - | DC_Creator
  - | DC_Subject
  - | DC_Description
  - | DC_Publisher
  - | DC_Contributor
  - | DC_Date
  - | DC_Type
  - | DC_Format
  - | DC_Identifier
  - | DC_Source
  - | DC_Language
  - | DC_Relation
  - | DC_Coverage
  - | DC_Rights
  - | DC_Other Text
- infoToTag :: DCInfo -> Text
- dc_element_names :: [Text]

# Documentation

data DCItem Source #

A DCItem pairs a specific element with its (string) value.

Constructors

DCItem |

Fields

- dcElt :: DCInfo
- dcText :: Text

#### Instances

Instances details

Eq DCItem Source # |
Instance details Defined in Text.DublinCore.Types Methods (==) :: DCItem -> DCItem -> Bool (/=) :: DCItem -> DCItem -> Bool
Show DCItem Source # |
Instance details Defined in Text.DublinCore.Types Methods showsPrec :: Int -> DCItem -> ShowS show :: DCItem -> String showList :: [DCItem] -> ShowS

data DCInfo Source #

The Dublin Core Metadata Element Set, all 15 of them (plus an extension constructor.)

Constructors

DC_Title | A name given to the resource.
DC_Creator | An entity primarily responsible for making the content of the resource.
DC_Subject | The topic of the content of the resource.
DC_Description | An account of the content of the resource.
DC_Publisher | An entity responsible for making the resource available
DC_Contributor | An entity responsible for making contributions to the content of the resource.
DC_Date | A date associated with an event in the life cycle of the resource (YYYY-MM-DD)
DC_Type | The nature or genre of the content of the resource.
DC_Format | The physical or digital manifestation of the resource.
DC_Identifier | An unambiguous reference to the resource within a given context.
DC_Source | A Reference to a resource from which the present resource is derived.
DC_Language | A language of the intellectual content of the resource.
DC_Relation | A reference to a related resource.
DC_Coverage | The extent or scope of the content of the resource.
DC_Rights | Information about rights held in and over the resource.
DC_Other Text | Other; data type extension mechanism.

#### Instances

Instances details

Eq DCInfo Source # |
Instance details Defined in Text.DublinCore.Types Methods (==) :: DCInfo -> DCInfo -> Bool (/=) :: DCInfo -> DCInfo -> Bool
Show DCInfo Source # |
Instance details Defined in Text.DublinCore.Types Methods showsPrec :: Int -> DCInfo -> ShowS show :: DCInfo -> String showList :: [DCInfo] -> ShowS

infoToTag :: DCInfo -> Text Source #

dc_element_names :: [Text] Source #